Subject: Re: bug#28849: 26.0.90; ert-find-test-other-window does not work

From: Noam Postavsky <[email-masked]>
Date: Sun, 15 Oct 2017 14:19:01 -0400

tags 28849 fixed
close 28849
quit

Erik Hahn <[email-masked]> writes:

> 1. M-x set-variable <RET> debug-on-error <RET> t
>
> 2. Create a new file with the following content:
>
>     (require 'ert)
>     (ert-deftest my-test ()
>         (should nil))
>
>
> 3. Load that file using (load "/path/to/file.el")
>
> 4. M-x ert-find-test-other-window <RET> my-test <RET>
>
>
> This results in the following backtrace:
>
>     Debugger entered--Lisp error: (error "Don’t know where ‘my-test’ is defined")
>     signal(error ("Don’t know where ‘my-test’ is defined"))
>     error("Don't know where `%s' is defined" my-test)
>     find-function-search-for-symbol(my-test ert-deftest nil)
>     find-definition-noselect(my-test ert-deftest)
>     find-function-do-it(my-test ert-deftest switch-to-buffer-other-window)
>     ert-find-test-other-window(my-test)
>     ert-results-find-test-at-point-other-window()
>     funcall-interactively(ert-results-find-test-at-point-other-window)
>     call-interactively(ert-results-find-test-at-point-other-window nil nil)
>     command-execute(ert-results-find-test-at-point-other-window)

Yes, this is a regression from Emacs 25.  I've seen it a few times, but
always when I'm in the middle of investigating other bugs, so I keep
forgetting about it.  Thanks for the reminder, should be fixed now :)

[1: de60992053]: 2017-10-15 13:58:45 -0400
  Fix ert-test finding by symbol (Bug#28849)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=de60992053a6ce21afe218e37bb377e7a5713522